﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.TimeBar;
using System.Globalization;

namespace TimeBar_SparkLine
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            LocalizationManager.Manager = new LocalizationManager()
            {
                ResourceManager = RadTimeBarResource.ResourceManager
            }; 
            DateTime today = DateTime.Today;
            TextBlock textBlock1 = new TextBlock();
            int newFormat = CultureInfo.CurrentCulture.Calendar.GetWeekOfYear(today, CalendarWeekRule.FirstFourDayWeek, CultureInfo.CurrentCulture.DateTimeFormat.FirstDayOfWeek);
            textBlock1.HorizontalAlignment = System.Windows.HorizontalAlignment.Left;
            textBlock1.VerticalAlignment = System.Windows.VerticalAlignment.Top;
            textBlock1.Width = 200;
            textBlock1.Height = 50;

            Random r = new Random();
            List<int> data = new List<int>();
            for (DateTime currentDate = DateTime.Today; currentDate < DateTime.Today.AddDays(100);
              currentDate = currentDate.AddDays(1))
            {
                data.Add(r.Next(0, 60));
            }
            sparkline.ItemsSource = data;
        }
    }
}
